/* $Id: LADSPAPluginInstance.hh,v 1.1 2003/08/07 08:57:08 andete Exp $

lemux - LADSPA instrument plugins based on openMSX devices

(c) 2003 Joost Yervante Damad <joost@lumatec.be>

This program is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 2 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

*/

#ifndef   __LADSPAPLUGININSTANCE_HH__
#define   __LADSPAPLUGININSTANCE_HH__

#include <ladspa.h>

class LADSPAPluginInstance
{
public:
	LADSPAPluginInstance();

	virtual void connect_port(unsigned long port, LADSPA_Data* dataLocation)=0;
	virtual void activate()=0;
	virtual void run(unsigned long SampleCount)=0;

protected:
	unsigned short load_number;

private:
	static unsigned short load_count;
};

#endif // __LADSPAPLUGININSTANCE_HH__
